CfnTopicRuleProps
- class aws_cdk.aws_iot.CfnTopicRuleProps(*, topic_rule_payload, rule_name=None, tags=None)
Bases:
objectProperties for defining a
CfnTopicRule.- Parameters:
topic_rule_payload (
Union[IResolvable,TopicRulePayloadProperty,Dict[str,Any]]) – The rule payload.rule_name (
Optional[str]) – The name of the rule.tags (
Optional[Sequence[Union[CfnTag,Dict[str,Any]]]]) – Metadata which can be used to manage the topic rule. .. epigraph:: For URI Request parameters use format: …key1=value1&key2=value2… For the CLI command-line parameter use format: –tags “key1=value1&key2=value2…” For the cli-input-json file use format: “tags”: “key1=value1&key2=value2…”
- See:
http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-iot-topicrule.html
- ExampleMetadata:
fixture=_generated
Example:
.. rubric:: Attributes
- rule_name
The name of the rule.
- tags
Metadata which can be used to manage the topic rule.
For URI Request parameters use format: …key1=value1&key2=value2…
For the CLI command-line parameter use format: –tags “key1=value1&key2=value2…”
For the cli-input-json file use format: “tags”: “key1=value1&key2=value2…”
- topic_rule_payload
The rule payload.